//
//  ViewController.m
//  UIMenuController
//
//  Created by harald bregu on 22/02/13.
//  Copyright (c) 2013 harald bregu. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
}

- (IBAction)showMenu:(id)sender {
     
    
    //set this controller like a first responder
	[self becomeFirstResponder];
	
	//load shared menu controller. Not use new or alloc
	UIMenuController *sharedController = [UIMenuController sharedMenuController];
	
    
	//define custom menu items
	UIMenuItem *menuItem1 = [[UIMenuItem alloc] initWithTitle:@"WOW" action:@selector(showWowAlert)];
	UIMenuItem *menuItem2 = [[UIMenuItem alloc] initWithTitle:@"POWERED BY" action:@selector(showPoweredAlert)];
	UIMenuItem *menuItem3 = [[UIMenuItem alloc] initWithTitle:@"This is my log and nowbody can..." action:@selector(log)];
        
	//NSArray *menuArray = [NSArray arrayWithObjects:menuItem1, menuItem2, nil];
	
	//draw the menu controller in the correct position
	//BEFORE THE "SETMENUITEMS"!!!!
	CGRect drawRect = [sender convertRect:[sender bounds] toView:self.view];
	[sharedController setTargetRect:drawRect inView:self.view];
	sharedController.arrowDirection = UIMenuControllerArrowDefault;
	
	//set menu items in the menu controller
	[sharedController setMenuItems:@[menuItem1,menuItem2,menuItem3]];
	
	[sharedController setMenuVisible:YES animated:YES];
	
    
	//disable custom menu items for the future
	[sharedController setMenuItems:nil];
    
    
}




-(void)showWowAlert
{
	UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"wow" message:@"it works!!!" delegate:nil cancelButtonTitle:@"oh yeah" otherButtonTitles:nil];
	[alert show];
}

-(void)showPoweredAlert
{
	UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"powered by" message:@"www.g8production.com" delegate:nil cancelButtonTitle:@"you rock!" otherButtonTitles:nil];
	[alert show];
}


-(void)log
{
    NSLog(@"logare");
}


-(BOOL)canBecomeFirstResponder
{
    return YES;
}




@end
